Bug 732339 - btrfs: Cannot allocate memory when modprobe btrfs
Summary: btrfs: Cannot allocate memory when modprobe btrfs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: fs-maint
QA Contact: Filesystem QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 04:29 UTC by Eryu Guan
Modified: 2014-10-14 11:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 11:42:02 UTC


Attachments (Terms of Use)

Description Eryu Guan 2011-08-22 04:29:04 UTC
Description of problem:
I'm doing rmmod->insmod->mount->umount loop stress testing, and btrfs failed to be inserted after hundreds of loops.

slab error in kmem_cache_destroy(): cache `extent_buffers': Can't free all objects
Pid: 40487, comm: modprobe Tainted: G           ---------------- T 2.6.32-189.el6.x86_64 #1
Call Trace:
 [<ffffffff8116111b>] ? kmem_cache_destroy+0xbb/0xf0
 [<ffffffffa07ae25c>] ? extent_io_exit+0x5c/0x100 [btrfs]
 [<ffffffffa07d70fc>] ? exit_btrfs_fs+0x18/0x6be [btrfs]
 [<ffffffff810ac3d4>] ? sys_delete_module+0x194/0x260
 [<ffffffff810d43d2>] ? audit_syscall_entry+0x272/0x2a0
 [<ffffffff814f00de>] ? do_page_fault+0x3e/0xa0
 [<ffffffff8100b0b2>] ? system_call_fastpath+0x16/0x1b
TECH PREVIEW: btrfs may not be fully supported.
Please review provided documentation for limitations.
kmem_cache_create: duplicate cache extent_buffers
Pid: 40488, comm: modprobe Tainted: G           ---------------- T 2.6.32-189.el6.x86_64 #1
Call Trace:
 [<ffffffff81161688>] ? kmem_cache_create+0x538/0x5a0
 [<ffffffffa0898000>] ? init_btrfs_fs+0x0/0xb1 [btrfs]
 [<ffffffffa089812d>] ? extent_io_init+0x4b/0x6e [btrfs]
 [<ffffffffa0898041>] ? init_btrfs_fs+0x41/0xb1 [btrfs]
 [<ffffffff8100204c>] ? do_one_initcall+0x3c/0x1d0
 [<ffffffff810af371>] ? sys_init_module+0xe1/0x250
 [<ffffffff8100b0b2>] ? system_call_fastpath+0x16/0x1b

Version-Release number of selected component (if applicable):
kernel-2.6.32-191.el6

How reproducible:
Reliable, 5/5 for now

Steps to Reproduce:
1. find a btrfs partition
2. while true; do modprobe -r btrfs;modprobe btrfs;mount /dev/sda5 /mnt/test;umount /dev/sda5;done
3. wait for a while
  
Actual results:
modprobe btrfs failed

Expected results:
test pass

Additional info:
A failed beaker job:
https://beaker.engineering.redhat.com/jobs/122396

Comment 2 RHEL Product and Program Management 2011-10-07 15:45:32 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 3 Josef Bacik 2012-06-07 14:22:48 UTC

*** This bug has been marked as a duplicate of bug 698324 ***

Comment 4 Eryu Guan 2013-02-04 11:15:28 UTC
I still could reproduce it on kernel-2.6.32-358.el6, reopen it.

+ modprobe btrfs
FATAL: Error inserting btrfs (/lib/modules/2.6.32-358.el6.x86_64/kernel/fs/btrfs/btrfs.ko): Cannot allocate memory

TECH PREVIEW: btrfs may not be fully supported. 
Please review provided documentation for limitations. 
kmem_cache_create: duplicate cache extent_buffers 
Pid: 7765, comm: modprobe Tainted: G           ---------------  T 2.6.32-358.el6.x86_64 #1 
Call Trace: 
 [<ffffffff8116aaf8>] ? kmem_cache_create+0x538/0x5a0 
 [<ffffffffa06ce000>] ? init_btrfs_fs+0x0/0xbb [btrfs] 
 [<ffffffffa06ce137>] ? extent_io_init+0x4b/0x6e [btrfs] 
 [<ffffffffa06ce03b>] ? init_btrfs_fs+0x3b/0xbb [btrfs] 
 [<ffffffff8100204c>] ? do_one_initcall+0x3c/0x1d0 
 [<ffffffff810b7551>] ? sys_init_module+0xe1/0x250 
 [<ffffffff8100b072>] ? system_call_fastpath+0x16/0x1b 
'9b4be454-8e67-400b-9eb7-347b403b87c1'

Comment 9 Eryu Guan 2014-06-30 04:37:54 UTC
Just note, still fails on kernel-2.6.32-488.el6

slab error in kmem_cache_destroy(): cache `extent_buffers': Can't free all objects
Pid: 22762, comm: modprobe Tainted: G           ---------------  T 2.6.32-488.el6.x86_64 #1
Call Trace:
 [<ffffffff811763fb>] ? kmem_cache_destroy+0xbb/0xf0
 [<ffffffffa1dbb44c>] ? extent_io_exit+0x5c/0x100 [btrfs]
 [<ffffffffa1df563a>] ? exit_btrfs_fs+0x1d/0x3f [btrfs]
 [<ffffffff810bc664>] ? sys_delete_module+0x194/0x260
 [<ffffffff810e53a7>] ? audit_syscall_entry+0x1d7/0x200
 [<ffffffff8100b072>] ? system_call_fastpath+0x16/0x1b

Comment 10 Steve Whitehouse 2014-10-14 11:42:02 UTC
The tech preview of btrfs in RHEL6 is being ended. Red Hat will not be providing any further updates or security fixes for btrfs in RHEL6, therefore this bug is being closed as "WONTFIX".

The tech preview of btrfs in RHEL7 is continuing, and an update will be provided in RHEL 7.1, in due course. If you are interested in the btrfs tech preview in RHEL7, then please do get in touch to share your use case(s) via the normal channels (e.g. your partner manager, TAM or via a support ticket depending upon which is most approporiate). We are very keen to collect as much information as we can about use cases for btrfs and other future developments in filesystems/storage.


Note You need to log in before you can comment on or make changes to this bug.